import { FoundationTheme } from '@nuskin/foundation-theme';

export type CslpTag = { 'data-cslp': string };

export type AdditionalProps = {
    additionalProps?: {
        ariaLabel?: string;
        testid?: string;
        className?: string;
        'data-testid'?: string;
    } & Partial<CslpTag>;
    cslp?: Record<string, CslpTag>;
} & DarkModeEnabledOption;

export type Themed = {
    theme: FoundationTheme.Theme;
};

export type DarkModeEnabledOption = {
    darkModeEnabled?: boolean;
};
