import { NsNextImageProps } from './types.d';
import Image from 'next/image';

const NsNextImage = ({ src, width, height, alt, fill, priority, ...props }: NsNextImageProps) => {
    return <Image src={src} width={width} height={height} alt={alt} fill={fill} priority={priority} {...props} />;
};

export default NsNextImage;
